"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPathInfo = void 0;
const path_1 = require("path");
/**
 * Returns detailed information about the config path.
 */
async function getPathInfo(engine, config) {
    let absolutePath = path_1.resolve(engine.cwd, config.path);
    let stats = await config.fs.promises.stat(absolutePath);
    if (stats.isFile()) {
        return {
            stats,
            absolutePath,
            dir: path_1.dirname(absolutePath),
            filename: path_1.basename(absolutePath),
        };
    }
    else {
        return {
            stats,
            absolutePath,
            dir: absolutePath,
        };
    }
}
exports.getPathInfo = getPathInfo;
//# sourceMappingURL=get-path-info.js.map