/// <reference types="node" />
import { FilterFunction } from "@code-engine/types";
import * as nodeFS from "fs";
import { FS } from "./config";
/**
 * Filter criteria to pass to Readdir Enhanced.
 */
export declare type FilterCriteria = undefined | boolean | string | RegExp | FilterFunction;
/**
 * Promisified wrappers around `fs` functions.
 */
export interface FSPromises extends FS {
    promises: {
        stat(path: string): Promise<nodeFS.Stats>;
        readFile(path: nodeFS.PathLike): Promise<Buffer>;
    };
}
