import { File, Run } from "@code-engine/types";
import { DirPathInfo, FilePathInfo } from "./get-path-info";
import { NormalizedConfig } from "./normalize-config";
/**
 * Reads a single file, if it meets the filter criteria.
 */
export declare function readFile(path: FilePathInfo, config: NormalizedConfig, run: Run): Promise<File | undefined>;
/**
 * Reads files from the filesystem and yields the ones that match the configuration critiera.
 */
export declare function readDir(path: DirPathInfo, config: NormalizedConfig, run: Run): AsyncIterable<File>;
